List Application Connections
/applications/{applicationName}/connections
Returns a list of connections for the application, including details such as name, description, and type.
A connection stores information about an external server and the login credentials that are required to access it. By defining one connection that can be used by multiple processes and artifacts, you can simplify many aspects of your analytics.
Request
-
applicationName(required):
Application name.
-
connType:
Type of connections to return, if provided
-
limit:
Maximum number of connections to return. Default is 50.
-
offset:
Number of connections to omit from the start of the result set.
-
repoConn:
Used in conjunction with connType param. If set to true, returns repository-based Autonomous Data Warehouse connections. Default is false.
-
walletConn:
Used in conjunction with connType param. If set to true, returns wallet-based Autonomous Data Warehouse connections. Default is false.
Response
200 Response
OK
List of connections returned successfully.
400 Response
Bad Request
Failed to list connections.
Examples
The following example shows how to get a list of connections for an Essbase application.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections" -H Accept:application/json -u %User%:%Password%Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"items" : [ {
"name" : "Essbase2",
"description" : "Connection to Essbase instance 2",
"type" : "ESSBASE",
"subtype" : "ESSBASE",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ {
"rel" : "self",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/Essbase2",
"method" : "GET"
}, {
"rel" : "edit",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/Essbase2",
"method" : "PUT"
}, {
"rel" : "delete",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/Essbase2",
"method" : "DELETE"
}, {
"rel" : "self",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/Essbase2/actions/test",
"method" : "POST"
} ]
}, {
"name" : "OracleDB",
"description" : "Connection to Database",
"type" : "DB",
"subtype" : "ORACLE",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ {
"rel" : "self",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB",
"method" : "GET"
}, {
"rel" : "edit",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB",
"method" : "PUT"
}, {
"rel" : "delete",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB",
"method" : "DELETE"
}, {
"rel" : "self",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB/actions/test",
"method" : "POST"
} ]
}, {
"name" : "UserDetails",
"description" : "CSV file of user details",
"type" : "FILE",
"subtype" : "FILE",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ {
"rel" : "self",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/UserDetails",
"method" : "GET"
}, {
"rel" : "edit",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/UserDetails",
"method" : "PUT"
}, {
"rel" : "delete",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/UserDetails",
"method" : "DELETE"
}, {
"rel" : "self",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/UserDetails/actions/test",
"method" : "POST"
} ]
} ],
"offset" : 0,
"limit" : 50,
"count" : 3,
"totalResults" : 3,
"hasMore" : false
}